Runs
List a workflow's runs
A workflow’s runs, newest first. Page with before=<next_before>.
GET
/
api
/
workflows
/
{id}
/
executions
List a workflow's runs
curl --request GET \
--url https://api.hitl.sh/v1/api/workflows/{id}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hitl.sh/v1/api/workflows/{id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hitl.sh/v1/api/workflows/{id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hitl.sh/v1/api/workflows/{id}/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hitl.sh/v1/api/workflows/{id}/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hitl.sh/v1/api/workflows/{id}/executions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hitl.sh/v1/api/workflows/{id}/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"count": 2,
"executions": [
{
"id": "6af2cf07c6a9f1dc71efd5e7",
"workflow_id": "6af2ce4e8207961501f59472",
"workflow_name": "Refund approval",
"status": "pending_review",
"finished": false,
"current_step": {
"node_id": "review-1",
"type": "review",
"label": "Approve refund"
},
"decisions": [],
"action_results": [],
"triggered_via": "api",
"started_at": "2026-11-10T08:00:07.121Z",
"completed_at": null
},
{
"id": "6af2cf01c6a9f1dc71efd5e6",
"workflow_id": "6af2ce4e8207961501f59472",
"workflow_name": "Refund approval",
"status": "pending_review",
"finished": false,
"current_step": {
"node_id": "review-1",
"type": "review",
"label": "Approve refund"
},
"decisions": [],
"action_results": [],
"triggered_via": "api",
"started_at": "2026-11-10T08:00:01.483Z",
"completed_at": null
}
],
"next_before": "6af2cf01c6a9f1dc71efd5e6"
},
"error": false,
"msg": "Executions retrieved"
}{
"error": true,
"msg": "Invalid API key"
}{
"error": true,
"msg": "Workflow not found"
}Authorizations
Your API key: hitl_live_…
Path Parameters
The workflow id
Example:
"6af2ce4e8207961501f59472"
Query Parameters
Only runs with this status
Available options:
running, pending_review, completed, failed, timed_out 1 to 100, default 20
Example:
20
Only runs older than this execution id
⌘I
List a workflow's runs
curl --request GET \
--url https://api.hitl.sh/v1/api/workflows/{id}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hitl.sh/v1/api/workflows/{id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hitl.sh/v1/api/workflows/{id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hitl.sh/v1/api/workflows/{id}/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hitl.sh/v1/api/workflows/{id}/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hitl.sh/v1/api/workflows/{id}/executions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hitl.sh/v1/api/workflows/{id}/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"count": 2,
"executions": [
{
"id": "6af2cf07c6a9f1dc71efd5e7",
"workflow_id": "6af2ce4e8207961501f59472",
"workflow_name": "Refund approval",
"status": "pending_review",
"finished": false,
"current_step": {
"node_id": "review-1",
"type": "review",
"label": "Approve refund"
},
"decisions": [],
"action_results": [],
"triggered_via": "api",
"started_at": "2026-11-10T08:00:07.121Z",
"completed_at": null
},
{
"id": "6af2cf01c6a9f1dc71efd5e6",
"workflow_id": "6af2ce4e8207961501f59472",
"workflow_name": "Refund approval",
"status": "pending_review",
"finished": false,
"current_step": {
"node_id": "review-1",
"type": "review",
"label": "Approve refund"
},
"decisions": [],
"action_results": [],
"triggered_via": "api",
"started_at": "2026-11-10T08:00:01.483Z",
"completed_at": null
}
],
"next_before": "6af2cf01c6a9f1dc71efd5e6"
},
"error": false,
"msg": "Executions retrieved"
}{
"error": true,
"msg": "Invalid API key"
}{
"error": true,
"msg": "Workflow not found"
}